Loading...
Searching...
No Matches
bsoncxx::types::b_document Struct Reference

`#include <bsoncxx/v_noabi/bsoncxx/types.hpp>`

## Description

A BSON document value.

## Public Member Functions

| operator document::view () const
| Conversion operator unwrapping a document::view.
document::view | view ()
| Returns an unwrapped document::view.

## Related Symbols

(Note that these are not member symbols.)
bool | operator!= (b_document const &lhs, b_document const &rhs)
| free function comparator for b_document
bool | operator== (b_document const &lhs, b_document const &rhs)
| free function comparator for b_document

## Member Function Documentation

## operator document::view()

bsoncxx::v_noabi::types::b_document::operator document::view | ( |  | ) | const

inline

Conversion operator unwrapping a document::view.

## view()

document::view bsoncxx::v_noabi::types::b_document::view | ( |  | ) |

inline

Returns an unwrapped document::view.

## Friends And Related Symbol Documentation

## operator!=()

bool operator!= | ( | b_document const & | lhs,
|  | b_document const & | rhs )

related

free function comparator for b_document

## operator==()

bool operator== | ( | b_document const & | lhs,
|  | b_document const & | rhs )

related

free function comparator for b_document

The documentation for this struct was generated from the following file:

- bsoncxx/v_noabi/bsoncxx/types.hpp